# Class: AdminGetNotificationsParams

[internal](../modules/internal-12.md).AdminGetNotificationsParams

## Properties

### event\_name

• `Optional` **event\_name**: `string`

#### Defined in

medusa/dist/api/routes/admin/notifications/list-notifications.d.ts:70

___

### expand

• `Optional` **expand**: `string`

#### Defined in

medusa/dist/api/routes/admin/notifications/list-notifications.d.ts:69

___

### fields

• `Optional` **fields**: `string`

#### Defined in

medusa/dist/api/routes/admin/notifications/list-notifications.d.ts:68

___

### include\_resends

• `Optional` **include\_resends**: `string`

#### Defined in

medusa/dist/api/routes/admin/notifications/list-notifications.d.ts:74

___

### limit

• `Optional` **limit**: `number`

#### Defined in

medusa/dist/api/routes/admin/notifications/list-notifications.d.ts:66

___

### offset

• `Optional` **offset**: `number`

#### Defined in

medusa/dist/api/routes/admin/notifications/list-notifications.d.ts:67

___

### resource\_id

• `Optional` **resource\_id**: `string`

#### Defined in

medusa/dist/api/routes/admin/notifications/list-notifications.d.ts:72

___

### resource\_type

• `Optional` **resource\_type**: `string`

#### Defined in

medusa/dist/api/routes/admin/notifications/list-notifications.d.ts:71

___

### to

• `Optional` **to**: `string`

#### Defined in

medusa/dist/api/routes/admin/notifications/list-notifications.d.ts:73
